<?php

namespace App\Database\Migrations;

use App\Models\OrdenTrabajo\OrdenTrabajoTarea;
use CodeIgniter\Database\Migration;
use CodeIgniter\Database\RawSql;
use CodeIgniter\I18n\Time;

class AddFerroProtoPresupuestoDirecciones extends Migration
{

    protected array $COLUMNS = [
        "is_ferro_prototipo" => [
            "type" => "TINYINT",
            "unsigned" => true,
            "default" => 0,
            "comment" => "Indica si es una direccion para el prototipo o ferro",
        ],
    ];
    public function up()
    {
        $this->forge->addColumn('presupuesto_direcciones', $this->COLUMNS);
    }

    public function down()
    {
        $this->forge->dropColumn('presupuesto_direcciones', array_keys($this->COLUMNS));
    }
}
